| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
NTuple Namespace Reference

NTuple name space. More...

## Classes
class | _Accessor
| Class acting as a smart pointer holding a N tuple entry. More...
class | _Array
| Abstract class describing a column-array in a N tuple. More...
class | _ArrayImp
| Concrete class discribing a column-array in a N tuple. More...
class | _Data
| Abstract class describing basic data in an Ntuple. More...
class | _DataImp
| Concrete class discribing basic data items in an N tuple. More...
class | _Item
| Abstract class describing a column in a N tuple. More...
class | _ItemImp
| Concrete class discribing a column in a N tuple. More...
class | _Matrix
| Abstract class describing a matrix column in a N tuple. More...
class | _MatrixImp
| Concrete class discribing a matrix column in a N tuple. More...
class | Array
| Class acting as a smart pointer holding a N tuple _Item. More...
class | Array< IOpaqueAddress * >
class | ColumnWiseTuple
class | DataItem
class | Directory
| Small class representing an N tuple directory in the transient store. More...
class | File
| Small class representing an N tuple file in the transient store. More...
class | Item
| Class acting as a smart pointer holding a N tuple _Item. More...
class | Item< bool >
| Specialization acting as a smart pointer holding a N tuple _Item. More...
class | Matrix
| Class acting as a smart pointer holding a N tuple _Item. More...
class | Matrix< IOpaqueAddress * >
class | Range
| Class defining a range. More...
class | Range< bool >
class | RowWiseTuple
class | Selector
| NTuple Selector class. More...
class | Tuple
| Abstract base class which allows the user to interact with the actual N tuple implementation. More...
class | TupleImp

## Functions
template<class T >
std::ostream & | operator<< (std::ostream &s, const Item< T > &obj)

## Detailed Description

NTuple name space.

Definition of helpers to access N tuple implementations

Author
  Markus Frank
  Sebastien Ponce

## Function Documentation

template<class T >

std::ostream& NTuple::operator<< | ( | std::ostream & | s,
|  | const Item< T > & | obj
| ) |  |
| inline

Definition at line 1107 of file NTuple.h.

1108 {
1109 return s << T( obj );
1110 }